CachingIterator::valid
RecursiveCachingIterator::getChildren
SPL
PHP Manual

# The RecursiveCachingIterator class

## Introduction

...

## Class synopsis

RecursiveCachingIterator
class RecursiveCachingIterator extends CachingIterator implements Countable , ArrayAccess , Iterator , Traversable , OuterIterator , RecursiveIterator {
/* Methods */
RecursiveCachingIterator getChildren ( void )
boolean hasChildren ( void )
/* Inherits */
bool CachingIterator::hasNext ( void )
void CachingIterator::next ( void )
void CachingIterator::rewind ( void )
string CachingIterator::__toString ( void )
bool CachingIterator::valid ( void )
}

## Table of Contents

- RecursiveCachingIterator::getChildren — Return the inner iterator's children as a RecursiveCachingIterator
- RecursiveCachingIterator::hasChildren — Check whether the current element of the inner iterator has children

CachingIterator::valid
RecursiveCachingIterator::getChildren
SPL
PHP Manual